---
title: RTCPeerConnection.onpeeridentity
slug: Web/API/RTCPeerConnection/onpeeridentity
tags:
  - API
  - Authentication
  - Event Handler
  - IdP
  - Identity
  - Obsolete
  - Peer
  - Property
  - RTCPeerConnection
  - Reference
  - Validation
  - WebRTC
  - WebRTC API
  - onpeeridentity
---
<p>{{APIRef("WebRTC")}}{{obsolete_header}}</p>

<p>The <code><strong>RTCPeerConnection.onpeeridentity</strong></code> event handler is a property containing the code to execute whent the {{event("peeridentity")}} event, of type {{domxref("Event")}}, is received by this {{domxref("RTCPeerConnection")}}. Such an event is sent when an identity assertion, received from a peer, has been successfully validated.</p>

<p><em>This event handler is obsolete</em>. To detect successful validation of the identity, wait for the promise returned by {{domxref("RTCPeerConnection.peerIdentity", "peerIdentity")}} to resolve successfully with the peer's identity.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>peerconnection</em>.onpeeridentity = <em>function</em>;
</pre>

<h3 id="Values">Values</h3>

<ul>
 <li><code>function</code> is the name of a user-defined function, without the <code>()</code> suffix or any parameters, or an anonymous function declaration, such as <code>function(event) {...}</code>. An event handler always has one single parameter, containing the event, here of type {{domxref("Event")}}.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js">pc.onpeeridentity = function(ev) { alert("onpeeridentity event detected!"); };
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.onpeeridentity")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{event("peeridentity")}} event and its type, {{domxref("Event")}}.</li>
</ul>
